Pen Pressure does not update
Closed, InvalidPublic

Description

Problem:
The pen pressure does not update during the stroke. E.g. when using it on size and strength those stay at the value recorded at the start of the stroke even when pressure is altered along the way.
Example:
pressure sensitivity is on for brush size. Stroke is started with very low pressure and pressure is increased along the stroke. The brush size stays at the same small size for the entire stroke.
The problem does not occur during texture painting (either in 3d view or image editor) or in other applications.

Blender version is trunk 53455, 64bit. encountered the problem earlier too.
Tablet is Wacom Intuos 3 with latest drivers (nov 2012).
Windows 7 64 bit

Tobias Reich (morgothbauglyr) set Type to Bug.Via Old WorldDec 31 2012, 4:33 PM
Ton Roosendaal (ton) added a comment.Via Old WorldJan 1 2013, 3:16 PM

Not updating paint pressure during strokes is of course not ok :) I don't know if Nicholas has worked on tablet support for painting, we'll find out!

Nicholas Bishop (nicholasbishop) added a comment.Via Old WorldJan 6 2013, 5:57 PM

Unfortunately I don't have my tablet with me, perhaps Mike can check on this?

Mike Erwin (merwin) added a comment.Via Old WorldJan 6 2013, 9:58 PM

Ok, looking into this now.

Mike Erwin (merwin) added a comment.Via Old WorldJan 7 2013, 2:49 AM

Tobias, where are you seeing this (mis)behavior? I just tried latest trunk and 2.64 and did not see problems during sculpt and vertex paint.

Tobias Reich (morgothbauglyr) added a comment.Via Old WorldJan 7 2013, 4:13 AM

I just did a couple of tests with 2.65 r52860:
the issue only appears when using custom keybindings imported from 2.64, 2.63 or other versions.
I guess I'll have to redo all those from factory settings.
I have encountered problems with custom shortcuts earlier when changing versions with keybindings becoming mixed up with default settings and various assignment conflicts. I guess the issue lies with changes in the keybindings and settings, although strange that something which has no settings available at all is being affected.

Tobias Reich (morgothbauglyr) added a comment.Via Old WorldJan 8 2013, 1:59 PM

I guess this particular report can be closed now since it's not related to sculpt or pen, but taking a look the keybind and settings system might be good.

Ton Roosendaal (ton) added a comment.Via Old WorldJan 8 2013, 3:09 PM

Syncing keymaps is a huge puzzle right now... best would be to get simple redoable cases of errors and then tackle it one by one.

This one can then be closed :)

Ton Roosendaal (ton) closed this task as "Invalid".Via Old WorldJan 8 2013, 3:09 PM

Add Comment